Package ru.bitel.bgbilling.kernel.contract.balance.server.bean

# Class ChargeTypeDao

java.lang.Object
ru.bitel.bgbilling.kernel.base.server.logger.BGLogger
ru.bitel.common.dao.AbstarctDaoConstant
ru.bitel.common.dao.AbstractDao<ChargeType>
ru.bitel.common.dao.AbstractIdDao<ChargeType>
ru.bitel.common.dao.AbstractDirectoryIdDao<ChargeType>
ru.bitel.bgbilling.kernel.contract.balance.server.bean.ChargeTypeDao

All Implemented Interfaces:
  `AutoCloseable`, `Directory<ChargeType>`

public class ChargeTypeDao extends ru.bitel.common.dao.AbstractDirectoryIdDao<ChargeType>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class ru.bitel.common.dao.AbstractDao

  `ru.bitel.common.dao.AbstractDao.ResultSetIterator`

- ## Field Summary

  ### Fields inherited from class ru.bitel.common.dao.AbstractDao

  `cacheFilter, cacheJoin, cacheOrderBy, cachePaged, cachePS, cacheWhat, con, getByIdPS, moduleId, orderByPattern, tableName`

  ### Fields inherited from class ru.bitel.common.dao.AbstarctDaoConstant

  `ERROR, fields, SQL_ALL, SQL_AND, SQL_CALC_FOUND_ROWS, SQL_DELETE, SQL_DISTINCT, SQL_EQ, SQL_EQCS, SQL_FROM, SQL_GROUP, SQL_IN, SQL_INSERT, SQL_JOIN, SQL_LEFT_JOIN, SQL_LIMIT, SQL_NOT_IN, SQL_ON, SQL_ON_DUPLICATE_KEY_UPDATE, SQL_ORDER, SQL_SELECT, SQL_SET, SQL_UPDATE, SQL_VALUES, SQL_WHERE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ChargeTypeDao(Connection con)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected void`
  `addChild(int up, PaymentTypeItem rootItem, List<ChargeType> list, boolean showEmptyRoot)`
  `int`
  `delete(int id)`
  Удаление элемента по id
  `ChargeType`
  `get(String title)`
  Получение элемента по title(name)
  Может быть не имплементировано - в этом случае бросается `UnsupportedOperationException`
  `protected ChargeType`
  `getFromRS(ResultSet rs)`
  `PaymentTypeItem`
  `getTree(int editable, boolean isPayback, boolean showEmptyRoot)`
  Получение дерева типов.
  `Map<Integer,ChargeType>`
  `getTypeMapByIds(List<Integer> typeIds)`
  `List<ChargeType>`
  `list()`
  Получение всего списка элементов из справочника
  `List<ChargeType>`
  `list(Integer editable, Integer type, Boolean isPayback)`
  Вернет список типов расхода.
  `void`
  `move(int chargeTypeId, List<Integer> idList)`
  Перемещение
  `void`
  `update(ChargeType chargeType)`
  Изменение/добавление элемента справочника
  `protected void`
  `updateImpl(ChargeType b)`

  ### Methods inherited from class ru.bitel.common.dao.AbstractIdDao

  `executeUpdate, get, getAndDelete, getAndUpdate, opt`

  ### Methods inherited from class ru.bitel.common.dao.AbstractDao

  `close, delete, deleteImpl, dropTemporaryTable, eq, get, getById, getImpl, getListFromRS, getPeriod, getQueryById, getSQLOrder, getTableName, list, list, listImpl, listImpl, listImplPS, listImplPS, loadData, ormFromResultSet, ormUpdateImpl, ormUpdateImpl, ormUpdateImpl, ormUpdateImpl, processException, setPageRecordCount, setStatementParam`

  ### Methods inherited from class ru.bitel.common.dao.AbstarctDaoConstant

  `getSQLOrder, psSetDate, psSetInt, psSetString, sqlLimit`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.base.server.logger.BGLogger

  `error, error, error, getLogger, logError, logError, warn`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface ru.bitel.bgbilling.kernel.directory.api.common.bean.Directory

  `get, opt`

- ## Constructor Details

  - ### ChargeTypeDao

    public ChargeTypeDao(Connection con)

- ## Method Details

  - ### get

    public ChargeType get(String title) throws ru.bitel.bgbilling.common.BGException
    Description copied from interface: `Directory`
    Получение элемента по title(name)
    Может быть не имплементировано - в этом случае бросается `UnsupportedOperationException`
    Parameters:
      `title` -
    Returns:
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### list

    public List<ChargeType> list() throws ru.bitel.bgbilling.common.BGException
    Description copied from interface: `Directory`
    Получение всего списка элементов из справочника
    Returns:
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### list

    public List<ChargeType> list(Integer editable, Integer type, Boolean isPayback) throws ru.bitel.bgbilling.common.BGException
    Вернет список типов расхода.
    Parameters:
      `editable` - - 0 - редактируемые, 1 - не редактируемые, null или меньше 0 - все.
      `type` - - 0 - элемент группы, 1 - группа, null или меньше 0 -все.
      `isPayback` - - true - возврат, false - приход, null - все.
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### getTypeMapByIds

    public Map<Integer,ChargeType> getTypeMapByIds(List<Integer> typeIds) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### move

    public void move(int chargeTypeId, List<Integer> idList) throws ru.bitel.bgbilling.common.BGException
    Перемещение
    Parameters:
      `chargeTypeId` - - ид типа в который станет предком.
      `idList` - - список ид которые будут перемещены.
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### getTree

    public PaymentTypeItem getTree(int editable, boolean isPayback, boolean showEmptyRoot) throws ru.bitel.bgbilling.common.BGException
    Получение дерева типов. Осталось как наследник от PaymentAndChargeManager, потому и PaymentTypeItem. было бы не плохо переделать.
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### delete

    public int delete(int id) throws Exception
    Description copied from interface: `Directory`
    Удаление элемента по id
    Specified by:
      `delete` in interface `Directory<ChargeType>`
    Overrides:
      `delete` in class `ru.bitel.common.dao.AbstractIdDao<ChargeType>`
    Parameters:
      `id` -
    Returns:
    Throws:
      `Exception`

  - ### update

    public void update(ChargeType chargeType) throws ru.bitel.bgbilling.common.BGException
    Description copied from interface: `Directory`
    Изменение/добавление элемента справочника
    Specified by:
      `update` in interface `Directory<ChargeType>`
    Overrides:
      `update` in class `ru.bitel.common.dao.AbstractDao<ChargeType>`
    Parameters:
      `chargeType` -
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### updateImpl

    protected void updateImpl(ChargeType b) throws ru.bitel.bgbilling.common.BGException, SQLException
    Specified by:
      `updateImpl` in class `ru.bitel.common.dao.AbstractDao<ChargeType>`
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `SQLException`

  - ### getFromRS

    protected ChargeType getFromRS(ResultSet rs) throws SQLException, ru.bitel.bgbilling.common.BGException
    Specified by:
      `getFromRS` in class `ru.bitel.common.dao.AbstractDao<ChargeType>`
    Throws:
      `SQLException`
      `ru.bitel.bgbilling.common.BGException`

  - ### addChild

    protected void addChild(int up, PaymentTypeItem rootItem, List<ChargeType> list, boolean showEmptyRoot)